<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Player Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classPlayer.html">Player</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classPlayer.html#a5b003a2011e65677bd57a81caa6109d8">addCard</a>(int cardId)</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPlayer.html#a42f4e9ab541735d4105f7f727db14c2d">addPoints</a>(int points)</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPlayer.html#af6eb88f3eefd4eacff8a368699551c7e">cards</a>() const</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPlayer.html#a17eccc1f51fac91d6f03ee1a29e62780">discard</a>(int cardId)</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPlayer.html#a7113b6db3b28209b53b3fa9303f12022">fromJson</a>(const QJsonObject &amp;o)</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPlayer.html#a921696d3b168c6827a2d9496f8921b6c">id</a>() const</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPlayer.html#a1309f93ee2d9b7502c940942a52c2457">m_hand</a></td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPlayer.html#adb55893c7c4eaddcdf1e34c34716c907">m_id</a></td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPlayer.html#af40b202e39d34b244b882aeead951552">m_points</a></td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPlayer.html#a0c99af4b7950452158d78c15ff05ab38">m_username</a></td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPlayer.html#a9ff0521ec7ac4544b96589778efb3f39">Player</a>(std::string userName, int id, int points, std::vector&lt; int &gt; hand)</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPlayer.html#a715bef7231214d7f63efe184f4493262">Player</a>(const QJsonObject &amp;o)</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPlayer.html#affe0cc3cb714f6deb4e62f0c0d3f1fd8">Player</a>()</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPlayer.html#a4edf67554440d76b2384045414b3ec03">playerCnt</a></td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPlayer.html#a5c58bd81dab558632f7e1a9b3fff0253">points</a>() const</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPlayer.html#a6c049c13d4dfba9eb62f76f46ab82958">toJson</a>()</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPlayer.html#a42362a8da7abf0ba586c087c89ee899d">username</a>() const</td><td class="entry"><a class="el" href="classPlayer.html">Player</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
